'use strict'

const express = require('express');
const EvaluacionController = require('../controllers/evaluacion');
const md_auth = require('../middleware/authenticated');
const api = express.Router();
const multerEvaluacion = require('../libs/multerEvaluacion');

api.post('/obtenerProximasEvaluaciones', md_auth.ensureAuth, EvaluacionController.obtenerProximasEvaluaciones);
api.post('/contarTotalProximasEvaluaciones', md_auth.ensureAuth, EvaluacionController.contarTotalProximasEvaluaciones);
api.get('/obtenerUltimaEvaluacionUsuario/:idUsuario', md_auth.ensureAuth, EvaluacionController.obtenerUltimaEvaluacionUsuario);
api.post('/registrarEvaluacionUsuario/:idUsuario', [md_auth.ensureAuth, multerEvaluacion.single('archivoEvaluacion')], EvaluacionController.registrarEvaluacionUsuario);
api.post('/obtenerEvaluacionesUsuario/:idUsuario', md_auth.ensureAuth, EvaluacionController.obtenerEvaluacionesUsuario);
api.post('/contarTotalEvaluacionesUsuario/:idUsuario', md_auth.ensureAuth, EvaluacionController.contarTotalEvaluacionesUsuario);
api.get('/obtenerEvaluacionUsuario/:idEvaluacion', md_auth.ensureAuth, EvaluacionController.obtenerEvaluacionUsuario);
api.delete('/eliminarEvaluacionUsuario/:idEvaluacion', md_auth.ensureAuth, EvaluacionController.eliminarEvaluacionUsuario);
api.post('/obtenerUsuariosEnRiesgo', md_auth.ensureAuth, EvaluacionController.obtenerUsuariosEnRiesgo);
api.post('/contarTotalUsuariosEnRiesgo', md_auth.ensureAuth, EvaluacionController.contarTotalUsuariosEnRiesgo);

module.exports = api;